org.jbpm.kie.services.impl.query.preprocessor

## Class BusinessAdminTasksPreprocessor

- java.lang.Object
- - org.jbpm.kie.services.impl.query.preprocessor.UserTasksPreprocessor
  - - org.jbpm.kie.services.impl.query.preprocessor.BusinessAdminTasksPreprocessor

- All Implemented Interfaces:
    org.dashbuilder.dataset.def.DataSetPreprocessor

      public class BusinessAdminTasksPreprocessor
      extends UserTasksPreprocessor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADMIN_GROUP`
    `static String` | `ADMIN_USER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BusinessAdminTasksPreprocessor(org.kie.internal.identity.IdentityProvider identityProvider, org.kie.api.task.UserGroupCallback userGroupCallback, org.dashbuilder.dataset.DataSetMetadata metadata)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `preprocess(org.dashbuilder.dataset.DataSetLookup lookup)`

    - ### Methods inherited from class org.jbpm.kie.services.impl.query.preprocessor.UserTasksPreprocessor

      `getGroupColumns`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADMIN_USER

          public static final String ADMIN_USER

    - #### ADMIN_GROUP

          public static final String ADMIN_GROUP

  - ### Constructor Detail

    - #### BusinessAdminTasksPreprocessor

          public BusinessAdminTasksPreprocessor(org.kie.internal.identity.IdentityProvider identityProvider,
                                                org.kie.api.task.UserGroupCallback userGroupCallback,
                                                org.dashbuilder.dataset.DataSetMetadata metadata)

  - ### Method Detail

    - #### preprocess

          public void preprocess(org.dashbuilder.dataset.DataSetLookup lookup)

      Specified by:
        `preprocess` in interface `org.dashbuilder.dataset.def.DataSetPreprocessor`
      Overrides:
        `preprocess` in class `UserTasksPreprocessor`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.